| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_wslua_breakpoint_t Struct Reference

Breakpoint structure for in-memory storage. More...

`#include <wslua_debugger.h>`

## Public Attributes
char * | file_path
int64_t | line
bool | active
char * | condition
int64_t | hit_count_target
int64_t | hit_count
wslua_hit_count_mode_t | hit_count_mode
bool | condition_error
char * | condition_error_msg
char * | log_message
bool | log_also_pause
int64_t | last_fired_us

## Detailed Description

Breakpoint structure for in-memory storage.

Breakpoints are persisted via the Qt UI's JSON settings file, not via Wireshark's UAT system.

`condition` / `hit_count_target` / `log_message` are optional: NULL/empty/zero means "not set". When set, the line hook applies the gates in order: hit-count, condition, then logpoint vs pause. `hit_count` is a runtime counter and is not persisted. `last_fired_us` is a runtime monotonic timestamp (microseconds, `g_get_monotonic_time` scale) used to compute the `{delta}` logpoint tag; `0` means the breakpoint has not fired yet. Not persisted.

## Member Data Documentation

## ◆ active

bool _wslua_breakpoint_t::active

Whether the breakpoint is active

## ◆ condition

char* _wslua_breakpoint_t::condition

Optional Lua expression; pause when truthy

## ◆ condition_error

bool _wslua_breakpoint_t::condition_error

Last condition eval errored (sticky)

## ◆ condition_error_msg

char* _wslua_breakpoint_t::condition_error_msg

Last condition error text; NULL = none. Owned by the breakpoint, freed on edit / reset / remove. Not persisted.

## ◆ file_path

char* _wslua_breakpoint_t::file_path

File path of the script

## ◆ hit_count

int64_t _wslua_breakpoint_t::hit_count

Runtime hit counter (not persisted)

## ◆ hit_count_mode

wslua_hit_count_mode_t _wslua_breakpoint_t::hit_count_mode

How the gate compares `hit_count` against `hit_count_target`. Ignored when `hit_count_target` == 0.

## ◆ hit_count_target

int64_t _wslua_breakpoint_t::hit_count_target

Optional hit count threshold; 0 = none

## ◆ last_fired_us

int64_t _wslua_breakpoint_t::last_fired_us

Monotonic ts of previous fire; 0 = never

## ◆ line

int64_t _wslua_breakpoint_t::line

Line number

## ◆ log_also_pause

bool _wslua_breakpoint_t::log_also_pause

Logpoint and pause: when `log_message` is set, true means the breakpoint formats and emits the message AND pauses. Default false (matches the historical "logpoints never pause" behavior).

## ◆ log_message

char* _wslua_breakpoint_t::log_message

Optional logpoint template with {expr}

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/wslua/wslua_debugger.h